This is the kselftests report.

## Kernel
* kernel: {{ build.metadata.make_kernelversion }}
* git repo: {{ build.metadata.git_repo }}
* git branch: {{ build.metadata.git_branch }}
* git commit: {{ build.metadata.git_commit }}
* git describe: {{ build.version }}
* Test details: {{ build_details_url }}

## Regressions (compared to {{ build2.version }})
{% if regressions|length == 0 %}
No regressions found.
{% else %}
{% for e in environments %}
{% for s in suites %}
{% set key = (e.slug,s.slug) %}
{% if key not in regressions %}{% continue %}{% endif %}
{% if regressions[key]|length == 0 %}{% continue %}{% endif %}
### {{ e.slug }}, {{ s.slug }}
{% for t in regressions[key] %}
* {{ t }}
{% endfor %}
{% endfor %}
{% endfor %}
{% endif %}

## Fixes (compared to {{ build2.version }})
{% if fixes|length == 0 %}
No fixes found.
{% else %}
{% for e in environments %}
{% for s in suites %}
{% set key = (e.slug,s.slug) %}
{% if key not in fixes %}{% continue %}{% endif %}
{% if fixes[key]|length == 0 %}{% continue %}{% endif %}
### {{ e.slug }}, {{ s.slug }}
{% for t in fixes[key] %}
* {{ t }}
{% endfor %}
{% endfor %}
{% endfor %}
{% endif %}

## Summary
{% for e in environments %}
{% for s in suites %}
{% set key = (e.slug,s.slug) %}
{% set total = summary[key].pass + summary[key].fail + summary[key].skip + summary[key].xfail %}
{% if total == 0 %}{% continue %}{% endif %}
### {{ e.slug }}, {{ s.slug }}
* total: {{ total }}
* pass: {{ summary[key].pass }}
* fail: {{ summary[key].fail }}
* skip: {{ summary[key].skip }}
* xfail: {{ summary[key].xfail }}
{% endfor %}
{% endfor %}

## Environments
{% for e in environments %}
* {{ e.slug }}
{% endfor %}

## Suites
{% for s in suites %}
* {{ s.slug }}
{% endfor %}

## Failures
{% for e in environments %}
{% for s in suites %}
{% set key = (e.slug,s.slug) %}
{% if fails[key]|count == 0%}{% continue %}{% endif %}
### {{ e.slug }}, {{ s.slug }}
{% for t in fails[key] %}
* {{ t.short_name }}
{% endfor %}
{% endfor %}
{% endfor %}

## Skips
{% for e in environments %}
{% for s in suites %}
{% set key = (e.slug,s.slug) %}
{% if skips[key]|count == 0%}{% continue %}{% endif %}
### {{ e.slug }}, {{ s.slug }}
{% for t in skips[key] %}
* {{ t.short_name }}
{% endfor %}
{% endfor %}
{% endfor %}

--
Linaro LKFT
https://lkft.linaro.org
